Simulate an invoice payment
curl --request POST \
--url https://business.planewallet.org/api/v1/sandbox/invoices/{id}/complete \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/sandbox/invoices/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/sandbox/invoices/{id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"environment": "<string>",
"status": "creating",
"depositAmount": "100.00",
"fee": "1.50",
"creditAmount": "98.50",
"address": "<string>",
"payAmount": "100.000123",
"asset": "<string>",
"network": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>"
}Sandbox
Complete a sandbox invoice
Required permission: funding:write. Sandbox is isolated from live funds. Live integration availability is checked server-side.
POST
/
api
/
v1
/
sandbox
/
invoices
/
{id}
/
complete
Simulate an invoice payment
curl --request POST \
--url https://business.planewallet.org/api/v1/sandbox/invoices/{id}/complete \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/sandbox/invoices/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/sandbox/invoices/{id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"environment": "<string>",
"status": "creating",
"depositAmount": "100.00",
"fee": "1.50",
"creditAmount": "98.50",
"address": "<string>",
"payAmount": "100.000123",
"asset": "<string>",
"network": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Available options:
creating, pending, completed, expired, failed, manual_review Pattern:
^\d+(\.\d{1,2})?$Example:
"100.00"
Pattern:
^\d+(\.\d{1,2})?$Example:
"1.50"
Pattern:
^\d+(\.\d{1,2})?$Example:
"98.50"
Exact USDT transfer amount; up to 6 decimals. Never round this value.
Example:
"100.000123"